//
//  MPNumber.m
//  MathKit
//
//  Created by Kim Wittenburg on 09.10.14.
//  Copyright (c) 2014 Kim Wittenburg. All rights reserved.
//

#import "MPNumber.h"



@implementation MPNumber

- (instancetype)initWithNumber:(NSDecimalNumber *)number
{
    self = [super init];
    if (self) {
        NSAssert(number != nil, @"number must not be nil.");
        _number = number;
    }
    return self;
}


- (NSDecimalNumber *)doEvaluation:(NSError *__autoreleasing *)error
{
    return self.number;
}

@end
